openapi: 3.1.0
info:
  title: URL Source Code Scraper
  description: Scraping the source code of any URL.
  version: v1.0.0
servers:
  - url: https://api.chat.buxo.ca
paths:
  /api/scraper/source:
    post:
      operationId: ScrapSourceCodeURLContent
      description: Scraping Source Code from a given URL.
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  description: The URL to scrap source code from.
              required:
                - url
      responses:
        '200':
          description: Source Code scraped successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  content:
                    type: string
                    description: The scraped Source Code.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
